Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227597 - jogl: $RPM_OPT_FLAGS not used, other issues
Summary: jogl: $RPM_OPT_FLAGS not used, other issues
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: jogl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 23:21 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 21:33:04 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, fix file permissions and build directly from CVS (deleted)
2007-02-06 23:21 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-06 23:21:45 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

jogl's native parts are built without $RPM_OPT_FLAGS, resulting in no compiler
security features and more or less useless debuginfo.  Crude fix attached.

I couldn't find a way to pass $RPM_OPT_FLAGS sanely to the cpptasks stuff, so
this approach uses a wrapper script.

In addition to fixing optflags, the patch fixes the build for me directly from
CVS (the FE CVS setup doesn't override %{_topdir}, but $RPM_SOURCE_DIR should
work everywhere), as well as fixes file permissions of *.so which should be
usually executable, 755.  At least they must not be 766 (world-writable) in
%install, - that'll result in world writable corresponding *.debug in the
-debuginfo subpackage as well even if fixed in the %files section for the main
package.

Comment 1 Ville Skyttä 2007-02-06 23:21:46 UTC
Created attachment 147525 [details]
Use $RPM_OPT_FLAGS, fix file permissions and build directly from CVS

Comment 2 Ville Skyttä 2007-07-28 20:11:52 UTC
Ping?

Comment 3 Ville Skyttä 2007-10-12 22:22:48 UTC
Ping #2?  Current devel needs some further fixes for the build to succeed,
updated patch at http://scop.fedorapeople.org/patches/debuginfo/jogl.patch

Comment 4 Anthony Green 2007-10-12 23:05:29 UTC
Thanks for pinging me.  I'll look at this over the weekend.

Comment 5 Anthony Green 2007-11-11 21:33:04 UTC
jogl is no longer part of Fedora due to licensing issues.


Note You need to log in before you can comment on or make changes to this bug.